Subject: Ticket Assigned - Returns
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Thu, 26 Aug 2021 11:41:15 +0000

Hi Ebrahim Qasem,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns WRONG DELIVERY ITEM - Order No. 9689420380

Please have a look on what was given to me versus the one i ordered. It is totally wrong. I ordered this online and picked it up from the store. This is such a mess, does nobody check online orders? Your online shopping is a waste of time. I would expect to have my money given back to me or have the correct item delivered. I went out of my way to collect it and this happened.

I emailed you a couple of days ago but still no reply. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3023200